# Root Element

Element | Description | Class
--- | --- | ---
service | Endpoint. A service object and the infrastructure around it. | org.jvnet.jax_ws_commons.spring.SpringService

# Element Summary

Element | Description | Class
--- | --- | ---
addressing | Configures WS-Addressing feature. | org.jvnet.jax_ws_commons.spring.SpringAddressingFeature
mtom | Configures MTOM feature. | org.jvnet.jax_ws_commons.spring.SpringMTOMFeature
service | Endpoint. A service object and the infrastructure around it. | org.jvnet.jax_ws_commons.spring.SpringService

# Element Detail

## Element: addressing

Attribute | Type | Description
--- | --- | ---
enabled | xs:boolean | `enabled="false"` can be specified to override the {@link Addressing} annotation on the source code. Defaults to true.
required | xs:boolean | If true, the service will reject all requests that do not have addressing headers. False to accept them. Defaults to false.

## Element: mtom

Attribute | Type | Description
--- | --- | ---
enabled | xs:boolean | `enabled="false"` can be specified to override the {@link MTOM} annotation on the source code. Defaults to true.
threshold | xs:integer | The size in bytes that binary data SHOULD be before being sent as an attachment.

## Element: service

Attribute | Type | Description
--- | --- | ---
bindingID | xs:string | Sets the binding ID, such as `{@value SOAPBinding#SOAP11HTTP_BINDING}` or `{@value SOAPBinding#SOAP12HTTP_BINDING}`. If none is specified, {@link BindingType} annotation on SEI is consulted. If that fails, {@link SOAPBinding#SOAP11HTTP_BINDING}.
impl | xs:string | Fully qualified class name of the SEI class. Required.
portName | xs:QName | Sets the port name of this endpoint. Defaults to the name inferred from the impl attribute.
serviceName | xs:QName | Sets the service name of this endpoint. Defaults to the name inferred from the impl attribute.

Element | Type | Description
--- | --- | ---
assembler | <spring:bean/> | Sets the {@link TubelineAssembler} or {@link TubelineAssemblerFactory} instance. This is an advanced configuration option for those who would like to control what processing JAX-WS runtime performs. The default value is {@code null}, in which case the {@link TubelineAssemblerFactory} is looked up from the `META-INF/services`.
bean | <spring:bean/> | Sets the bean that implements the web service methods.
binding | <spring:bean/> | Accepts an externally configured {@link WSBinding} for advanced users.
container | <spring:bean/> | Sets the custom {@link Container}. Optional.
features | (<spring:bean/>)* | {@link WebServiceFeature}s that are activated in this endpoint.
handlers | (<spring:bean/>)* | {@link Handler}s for this endpoint. Note that the order is significant. If there's just one handler and that handler is declared elsewhere, you can use this as a nested attribute like `handlers="#myHandler"`. Or otherwise a nested <bean> or <ref> tag can be used to specify multiple handlers.
invoker | <spring:bean/> | Sets {@link Invoker} for this endpoint. Defaults to {@link InstanceResolver#createDefault(Class) the standard invoker}.
metadata | <spring:bean/> | Optional metadata for this endpoint. The collection can contain {@link String}, {@link URL}, or {@link SDDocumentSource} elements. If element is a `String`, {@link ServletContext} (if available) and {@link ClassLoader} are searched for this path, then failing that, it's treated as an absolute {@link URL}.
primaryWsdl | <spring:bean/> | Optional WSDL for this endpoint. Defaults to the WSDL discovered in `META-INF/wsdl`, It can be either {@link String}, {@link URL}, or {@link SDDocumentSource}. If `primaryWsdl` is a `String`, {@link ServletContext} (if available) and {@link ClassLoader} are searched for this path, then failing that, it's treated as an absolute {@link URL}.
resolver | <spring:bean/> | Sets the {@link EntityResolver} to be used for resolving schemas/WSDLs that are referenced. Optional. If omitted, the default catalog resolver is created by looking at `/WEB-INF/jax-ws-catalog.xml` (if we run as a servlet) or `/META-INF/jax-ws-catalog.xml` (otherwise.)
servletContext | <spring:bean/> | Set automatically by Spring if JAX-WS is used inside web container.